Creating elementsynapse LXC fails with error "bash: -c: line 58: syntax error near unexpected token `fi'" #2378

Closed
opened 2026-02-05 04:39:47 +03:00 by OVERLORD · 0 comments
Owner

Originally created by @alexanderbeermann on GitHub (Jan 24, 2026).

Originally assigned to: @vhsdream on GitHub.

Have you read and understood the above guidelines?

yes

🔎 Did you run the script with verbose mode enabled?

Yes, verbose mode was enabled and the output is included below

📜 What is the name of the script you are using?

elementsynapse

📂 What was the exact command used to execute the script?

bash -c "$(curl -fsSL https://raw.githubusercontent.com/community-scripts/ProxmoxVE/main/ct/elementsynapse.sh)"

⚙️ What settings are you using?

  • Default Settings
  • Advanced Settings

🖥️ Which Linux distribution are you using?

Debian 12

📈 Which Proxmox version are you on?

r/8.3.5/dac3aa88bac3f300 (running kernel: 6.8.12-9-pve)

📝 Provide a clear and concise description of the issue.

#output of console verbose mode:

  • local term_width
    ++ tput cols
  • term_width=158
  • '[' -n ' ________ __ _____
    / / / ____ ___ ___ ____ / / / / ______ ____ _____ ________
    / / / / _ / __ __ \/ _ \/ __ \/ __/ \__ \/ / / / __ \/ __ / __ / / _
    / /
    / / / / / / / / / / / / / / / // / / / / // / // ( ) /
    /
    /
    /___/
    / // //_// //_/ //_, // //_,/ .//___/
    /
    / // ' ']'
  • echo ' ________ __ _____
    / / / ____ ___ ___ ____ / / / / ______ ____ _____ ________
    / / / / _ / __ __ \/ _ \/ __ \/ __/ \__ \/ / / / __ \/ __ / __ / / _
    / /
    / / / / / / / / / / / / / / / // / / / / // / // ( ) /
    /
    /
    /___/
    / // //_// //_/ //_, // //_,/ .//___/
    /
    / // '
    / / / ____ ___ ___ ____ / / / / ______ ____ _____ ________
    / / / / _ / __ __ \/ _ \/ __ \/ __/ \__ \/ / / / __ \/ __ / __ / / _
    / /
    / / / / / / / / / / / / / / / // / / / / // / // ( ) /
    /
    /
    /___/
    / // //_// //_/ //_, // //_,/ .//___/
    /
    / //
  • variables
    ++ echo 'element synapse'
    ++ tr -d ' '
  • NSAPP=elementsynapse
  • var_install=elementsynapse-install
  • INTEGER='^[0-9]+([.][0-9]+)?$'
    ++ hostname
  • PVEHOST_NAME=pve
  • DIAGNOSTICS=yes
  • METHOD=default
    ++ cat /proc/sys/kernel/random/uuid
  • RANDOM_UUID=b116507d-c302-44bc-aca5-c5742bb7cc64
  • SESSION_ID=b116507d
  • BUILD_LOG=/tmp/create-lxc-b116507d.log
  • CTTYPE=1
  • parse_dev_mode
  • local mode
  • export DEV_MODE_MOTD=false
  • DEV_MODE_MOTD=false
  • export DEV_MODE_KEEP=false
  • DEV_MODE_KEEP=false
  • export DEV_MODE_TRACE=false
  • DEV_MODE_TRACE=false
  • export DEV_MODE_PAUSE=false
  • DEV_MODE_PAUSE=false
  • export DEV_MODE_BREAKPOINT=false
  • DEV_MODE_BREAKPOINT=false
  • export DEV_MODE_LOGS=false
  • DEV_MODE_LOGS=false
  • export DEV_MODE_DRYRUN=false
  • DEV_MODE_DRYRUN=false
  • -n ''
  • command -v pveversion
    ++ pveversion
    ++ awk -F/ '{print $2}'
    ++ awk -F- '{print $1}'
  • PVEVERSION=8.3.5
    ++ uname -r
  • KERNEL_VERSION=6.8.12-9-pve
  • -n 1
  • export APP_DEFAULT_CPU=1
  • APP_DEFAULT_CPU=1
  • -n 2048
  • export APP_DEFAULT_RAM=2048
  • APP_DEFAULT_RAM=2048
  • -n 8
  • export APP_DEFAULT_DISK=8
  • APP_DEFAULT_DISK=8
  • color
    ++ echo '\033[33m'
  • YW='\033[33m'
  • YWB=''
    ++ echo '\033[36m'
  • BL='\033[36m'
    ++ echo '\033[01;31m'
  • RD='\033[01;31m'
    ++ echo '\033[4;92m'
  • BGN='\033[4;92m'
    ++ echo '\033[1;92m'
  • GN='\033[1;92m'
    ++ echo '\033[32m'
  • DGN='\033[32m'
    ++ echo '\033[m'
  • CL='\033[m'
  • catch_errors
  • set -Ee -o pipefail
  • '[' 0 = 1 ']'
  • trap error_handler ERR
  • trap on_exit EXIT
  • trap on_interrupt INT
  • trap on_terminate TERM
    /dev/fd/63: line 58: syntax error near unexpected token `fi'
    ++ on_exit
    ++ local exit_code=2
    ++ -n ''
    ++ exit 2
    root@pve:# ^C
    root@pve:
    #

🔄 Steps to reproduce the issue.

  1. Execute script bash -c "$(curl -fsSL https://raw.githubusercontent.com/community-scripts/ProxmoxVE/main/ct/elementsynapse.sh)"
  2. error is raised

Paste the full error output (if available).

bash -c "$(curl -fsSL https://raw.githubusercontent.com/community-scripts/ProxmoxVE/main/ct/elementsynapse.sh)"``

🖼️ Additional context (optional).

if check_for_gh_release "synapse-admin" "etkecc/synapse-admin"; then
  msg_info "Stopping Service"
  systemctl stop synapse-admin
  msg_ok "Stopped Service"

  CLEAN_INSTALL=1 fetch_and_deploy_gh_release "synapse-admin" "etkecc/synapse-admin" "tarball" "latest" "/opt/synapse-admin"

  msg_info "Building Synapse-Admin"
  cd /opt/synapse-admin
  $STD yarn global add serve
  $STD yarn install --ignore-engines
  $STD yarn build
  mv ./dist ../ && rm -rf * && mv ../dist ./
  msg_ok "Built Synapse-Admin"

  msg_info "Starting Service"
  systemctl start synapse-admin
  msg_ok "Started Service"
  msg_ok "Updated Synapse-Admin to ${CHECK_UPDATE_RELEASE}"
fi

fi # <-- this FI seems to be 'too much' and might be deleted.

Originally created by @alexanderbeermann on GitHub (Jan 24, 2026). Originally assigned to: @vhsdream on GitHub. ### ✅ Have you read and understood the above guidelines? yes ### 🔎 Did you run the script with verbose mode enabled? Yes, verbose mode was enabled and the output is included below ### 📜 What is the name of the script you are using? elementsynapse ### 📂 What was the exact command used to execute the script? bash -c "$(curl -fsSL https://raw.githubusercontent.com/community-scripts/ProxmoxVE/main/ct/elementsynapse.sh)" ### ⚙️ What settings are you using? - [x] Default Settings - [ ] Advanced Settings ### 🖥️ Which Linux distribution are you using? Debian 12 ### 📈 Which Proxmox version are you on? r/8.3.5/dac3aa88bac3f300 (running kernel: 6.8.12-9-pve) ### 📝 Provide a clear and concise description of the issue. #output of console verbose mode: + local term_width ++ tput cols + term_width=158 + '[' -n ' ________ __ _____ / ____/ /__ ____ ___ ___ ____ / /_ / ___/__ ______ ____ _____ ________ / __/ / / _ \/ __ `__ \/ _ \/ __ \/ __/ \__ \/ / / / __ \/ __ `/ __ \/ ___/ _ \ / /___/ / __/ / / / / / __/ / / / /_ ___/ / /_/ / / / / /_/ / /_/ (__ ) __/ /_____/_/\___/_/ /_/ /_/\___/_/ /_/\__/ /____/\__, /_/ /_/\__,_/ .___/____/\___/ /____/ /_/ ' ']' + echo ' ________ __ _____ / ____/ /__ ____ ___ ___ ____ / /_ / ___/__ ______ ____ _____ ________ / __/ / / _ \/ __ `__ \/ _ \/ __ \/ __/ \__ \/ / / / __ \/ __ `/ __ \/ ___/ _ \ / /___/ / __/ / / / / / __/ / / / /_ ___/ / /_/ / / / / /_/ / /_/ (__ ) __/ /_____/_/\___/_/ /_/ /_/\___/_/ /_/\__/ /____/\__, /_/ /_/\__,_/ .___/____/\___/ /____/ /_/ ' ________ __ _____ / ____/ /__ ____ ___ ___ ____ / /_ / ___/__ ______ ____ _____ ________ / __/ / / _ \/ __ `__ \/ _ \/ __ \/ __/ \__ \/ / / / __ \/ __ `/ __ \/ ___/ _ \ / /___/ / __/ / / / / / __/ / / / /_ ___/ / /_/ / / / / /_/ / /_/ (__ ) __/ /_____/_/\___/_/ /_/ /_/\___/_/ /_/\__/ /____/\__, /_/ /_/\__,_/ .___/____/\___/ /____/ /_/ + variables ++ echo 'element synapse' ++ tr -d ' ' + NSAPP=elementsynapse + var_install=elementsynapse-install + INTEGER='^[0-9]+([.][0-9]+)?$' ++ hostname + PVEHOST_NAME=pve + DIAGNOSTICS=yes + METHOD=default ++ cat /proc/sys/kernel/random/uuid + RANDOM_UUID=b116507d-c302-44bc-aca5-c5742bb7cc64 + SESSION_ID=b116507d + BUILD_LOG=/tmp/create-lxc-b116507d.log + CTTYPE=1 + parse_dev_mode + local mode + export DEV_MODE_MOTD=false + DEV_MODE_MOTD=false + export DEV_MODE_KEEP=false + DEV_MODE_KEEP=false + export DEV_MODE_TRACE=false + DEV_MODE_TRACE=false + export DEV_MODE_PAUSE=false + DEV_MODE_PAUSE=false + export DEV_MODE_BREAKPOINT=false + DEV_MODE_BREAKPOINT=false + export DEV_MODE_LOGS=false + DEV_MODE_LOGS=false + export DEV_MODE_DRYRUN=false + DEV_MODE_DRYRUN=false + [[ -n '' ]] + [[ false == \t\r\u\e ]] + command -v pveversion ++ pveversion ++ awk -F/ '{print $2}' ++ awk -F- '{print $1}' + PVEVERSION=8.3.5 ++ uname -r + KERNEL_VERSION=6.8.12-9-pve + [[ -n 1 ]] + [[ 1 =~ ^[0-9]+$ ]] + export APP_DEFAULT_CPU=1 + APP_DEFAULT_CPU=1 + [[ -n 2048 ]] + [[ 2048 =~ ^[0-9]+$ ]] + export APP_DEFAULT_RAM=2048 + APP_DEFAULT_RAM=2048 + [[ -n 8 ]] + [[ 8 =~ ^[0-9]+$ ]] + export APP_DEFAULT_DISK=8 + APP_DEFAULT_DISK=8 + color ++ echo '\033[33m' + YW='\033[33m' + YWB='' ++ echo '\033[36m' + BL='\033[36m' ++ echo '\033[01;31m' + RD='\033[01;31m' ++ echo '\033[4;92m' + BGN='\033[4;92m' ++ echo '\033[1;92m' + GN='\033[1;92m' ++ echo '\033[32m' + DGN='\033[32m' ++ echo '\033[m' + CL='\033[m' + catch_errors + set -Ee -o pipefail + '[' 0 = 1 ']' + trap error_handler ERR + trap on_exit EXIT + trap on_interrupt INT + trap on_terminate TERM /dev/fd/63: line 58: syntax error near unexpected token `fi' ++ on_exit ++ local exit_code=2 ++ [[ -n '' ]] ++ exit 2 root@pve:~# ^C root@pve:~# ### 🔄 Steps to reproduce the issue. 1. Execute script `bash -c "$(curl -fsSL https://raw.githubusercontent.com/community-scripts/ProxmoxVE/main/ct/elementsynapse.sh)"` 2. error is raised ### ❌ Paste the full error output (if available). `bash -c "$(curl -fsSL `https://raw.githubusercontent.com/community-scripts/ProxmoxVE/main/ct/elementsynapse.sh)"`` ### 🖼️ Additional context (optional). if check_for_gh_release "synapse-admin" "etkecc/synapse-admin"; then msg_info "Stopping Service" systemctl stop synapse-admin msg_ok "Stopped Service" CLEAN_INSTALL=1 fetch_and_deploy_gh_release "synapse-admin" "etkecc/synapse-admin" "tarball" "latest" "/opt/synapse-admin" msg_info "Building Synapse-Admin" cd /opt/synapse-admin $STD yarn global add serve $STD yarn install --ignore-engines $STD yarn build mv ./dist ../ && rm -rf * && mv ../dist ./ msg_ok "Built Synapse-Admin" msg_info "Starting Service" systemctl start synapse-admin msg_ok "Started Service" msg_ok "Updated Synapse-Admin to ${CHECK_UPDATE_RELEASE}" fi fi # <-- this FI seems to be 'too much' and might be deleted.
OVERLORD added the bug label 2026-02-05 04:39:47 +03:00
Sign in to join this conversation.
1 Participants
Notifications
Due Date
No due date set.
Dependencies

No dependencies set.

Reference: starred/ProxmoxVE#2378